Subject: Re: [Bitcoin-development] Reconsider build system change?

From: John Smith <[email-masked]>
Date: Sat, 2 Jul 2011 16:50:14 +0000

On Sat, Jul 2, 2011 at 2:50 PM, Luke-Jr <[email-masked]> wrote:

> On Saturday, July 02, 2011 3:29:04 AM John Smith wrote:
> > Why again did we choose for autotools as future build system instead of
> > cmake?
>
> I don't really care much either way, but cmake doesn't follow the standard
> build procedure (./configure && make && make install), though I imagine
> ./configure could be emulated with some script.
>

It would change the sequence to

cmake . && make && make install

So a shell script named 'configure' that starts 'cmake .' is the most easy
case :-) Probably it'd also need to pass through some command line args, for
example --prefix.

JS